C ***************************************************************************
C .MODULE			  UPCASE
C .LIBRARY			  testlib
C .TYPE				  function
C .SYSTEM			  vms
C .AUTHOR			  Software Toolz
C .LANGUAGE 		  FORTRAN
C .APPLICATION 	  string
C .DESCRIPTION 	
C		Convert a string to upper case
C .ARGUMENTS		
		SUBROUTINE UPCASE (STRING)
			CHARACTER*(*)	STRING
			INTEGER*2		STR_LEN
C .NARRATIVE		
C		The UpCase subroutine converts all characters to upper case.  Numerics
C		and upper-case characters are unaffected.
C .RETURNS			
C		nothing
C .ENDOC 			  END DOCUMENTATION
C ***************************************************************************

		SUBROUTINE UPCASE (STRING)
		CHARACTER*(*)	STRING
		INTEGER*2			STR_LEN

		DO I = 1, STR_LEN(STRING)
			IF (STRING(I:I).GE.'A' .AND. STRING(I:I).LE.'Z')
	  +		 STRING(I:I) = CHAR(ICHAR(STRING(I:I)) - 32)
		END DO
		RETURN
		END	

